We use cookies on our website to ensure we provide you with the best experience on our website. By using our website, you agree to the use of cookies for analytics and personalized content.This website uses cookies. More Information
It seems like your browser didn't download the required fonts. Please revise your security settings and try again.
Barracuda Managed Workplace

Service Center System Requirements - Hosted

  • Last updated on
Application Frameworks

The following application frameworks are required:

  • Microsoft .NET Framework 3.5
  • Microsoft .NET Framework 4.6.0 or higher (4.6.1 or higher is recommended)
Required External Sites for Barracuda Managed Workplace

The following table outlines the external sites that must be allowed by security products for Barracuda Managed Workplaceto function properly.

Note: In addition to these sites, the URL where Service Center is installed must be accessible for communication between Onsite Manager, Device Managers, and managed devices.

 

Site
Service Center
Onsite Manager
Device Manager
Technician's computer

https://barracudamsp.com

Links to various product pages

         X   

https://support.barracudamsp.com

Links to Knowledge Base articles

         X   

https://wl.msp1services.com/lookup.php

Warranty lookup service                         

         X   
https://www.udate.microsoft.com
Patch metadata, wuident.cab
         X          X  

http://ds.download.windowsupdate.com

Windows self update URL

           X  

http://download.mwrmm.barracudamsp.com/

Update Center components, initial patch metadata, Service Center online help

         X          X            X 
https://ss01.ccrmm.avg.com
Network Assessment
         X   
https://whatsmyip.ccrmm.avg.com
Whats My IP service
         X   

https://lplic.levelplatforms.com

License service, telemetry service, Service Center locator

         X          X            X 
https://www.levelplatforms.com
Update center metadata
         X   
https://sso.avg.com
Centrify SSO
         X   

https://www.islonline.net/download

PRC Viewer and Server

         X             X                 X
https://download.microsoft.com
Used by setup to download required components (prerequisites)
         X          X            X 

https://sws.update.microsoft.com

Used to connect to Microsoft patch management

         X          X  
Required External Sites for Avast Business Antivirus Pro Plus

If you’re using Avast Business Antivirus Pro Plus, the following external sites must be allowed by security products:

  • *.avast.com
  • *.avcdn.net
Required External Sites for Service Modules

If you’re using a service module, consult the documentation for the integrated program for any external sites that are required for communication.

Technician’s Computer

A technician’s computer requires the following:

  • Web browser (recommend Internet Explorer)
Browser and Operating System Support for Remote Control and Remote Tools

This table identifies what feature works in which browser:

Browser
Remote Control

Remote Tools

Premium Remote

Control

Internet ExplorerYesYesYes
Mozilla FirefoxYes (plugin)YesYes
Google ChromeYes (plugin)YesYes
Apple SafariNoYesYes
OperaNoYesYes

Note: Remote control will fail if you are prompted for a plugin and choose not to install it. If you also select the Don't Show this Message Again check box, you will not be offered the choice to install the required plugin on subsequent attempts, and the connection will fail without further messages. To be prompted for plugin installation again, you must remove the cookies for the Service Center site and then install the plugin when prompted.

This table identifies what feature works in which operating system:

 

 

Operating System

 

Remote Control

 

Remote Tools

Premium

Remote

Control

WindowsYesYesYes
macOS

Yes (requires the

server software

for the selected

protocol)

NoYes
Linux

Yes (requires the

server software

for the selected

protocol)

NoNo


 
Note: The remote tools are not supported on Windows 2000 computers because .NET 3.5 is required on the target device. Windows 2000 does not support .NET 3.5.

Note:

TLS 1.2

By default, new installs of Managed Workplace use TLS 1.2.

Enabling TLS 1.2 requires:

  • Previous versions of TLS and SSL are disabled.
  • The device you are installing Service Center on is up to date with all Microsoft Security Updates. Below is a table of the required hotfixes and updates as of Sept 2018.
Operating system
Hotfixes
Windows 7 SP1 Windows 2008 R2 SP1
Windows 8.1 and Windows Server 2012 R2
Windows 10 Version 1607 and Windows Server 2016
  • The SQL server for Service Center is hotfixed to the latest updates.
Server
Hotfix
SQL server                                
Last updated on